extern void init_check(void);
extern void check1(int d);
extern void check1_toggle(void);
extern void check2(int d);
extern void check2_toggle(void);
extern void check3(int d);
extern void check3_toggle(void);
extern void check4(int d);
extern void check4_toggle(void);
